## org.apache.lucene.benchmark.byTask.feeds
Class EnwikiContentSource

    java.lang.Object
      org.apache.lucene.benchmark.byTask.feeds.ContentSource
          org.apache.lucene.benchmark.byTask.feeds.EnwikiContentSource

    public class EnwikiContentSource

extends ContentSource

A `ContentSource` which reads the English Wikipedia dump. You can read the .bz2 file directly (it will be decompressed on the fly). Config properties:

- keep.image.only.docs=false|true (default true).
- docs.file=<path to the file>

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.ContentSource
`BUFFER_SIZE, encoding, forever, logStep, verbose`

Constructor Summary
`EnwikiContentSource()`

Method Summary
`void` `close()` Called when reading from this content source is no longer required.
`DocData` `getNextDocData(DocData docData)` Returns the next `DocData` from the content source.
`void` `resetInputs()` Resets the input for this content source, so that the test would behave as if it was just started, input-wise.
`void` `setConfig(Config config)` Sets the `Config` for this content source.

Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.ContentSource
`addBytes, addDoc, collectFiles, getBytesCount, getConfig, getDocsCount, getInputStream, getTotalBytesCount, getTotalDocsCount, shouldLog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnwikiContentSource

    public EnwikiContentSource()

Method Detail

### close

    public void close()
               throws java.io.IOException

  Description copied from class: `ContentSource`
  Called when reading from this content source is no longer required.

  Specified by:
    `close` in class `ContentSource`
  Throws:
    `java.io.IOException`

### getNextDocData

    public DocData getNextDocData(DocData docData)
                           throws NoMoreDataException,
                                  java.io.IOException

  Description copied from class: `ContentSource`
  Returns the next `DocData` from the content source.

  Specified by:
    `getNextDocData` in class `ContentSource`
  Throws:
    `NoMoreDataException`
    `java.io.IOException`

### resetInputs

    public void resetInputs()
                     throws java.io.IOException

  Description copied from class: `ContentSource`
  Resets the input for this content source, so that the test would behave as if it was just started, input-wise.

  NOTE: the default implementation resets the number of bytes and documents generated since the last reset, so it's important to call super.resetInputs in case you override this method.

  Overrides:
    `resetInputs` in class `ContentSource`
  Throws:
    `java.io.IOException`

### setConfig

    public void setConfig(Config config)

  Description copied from class: `ContentSource`
  Sets the `Config` for this content source. If you override this method, you must call super.setConfig.

  Overrides:
    `setConfig` in class `ContentSource`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.